Login
Newsletter
Werbung

Sicherheit: Preisgabe von Informationen in curl
Aktuelle Meldungen Distributionen
Name: Preisgabe von Informationen in curl
ID: SUSE-SU-2021:1763-1
Distribution: SUSE
Plattformen: SUSE Linux Enterprise Server 12-SP5, SUSE Linux Enterprise Software Development Kit 12-SP5
Datum: Mi, 26. Mai 2021, 23:08
Referenzen: https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2021-22898
Applikationen: curl

Originalnachricht


SUSE Security Update: Security update for curl
______________________________________________________________________________

Announcement ID: SUSE-SU-2021:1763-1
Rating: moderate
References: #1186114 SLE-17954
Cross-References: CVE-2021-22898
CVSS scores:
CVE-2021-22898 (SUSE): 5.3
CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:L/I:N/A:N

Affected Products:
SUSE Linux Enterprise Software Development Kit 12-SP5
SUSE Linux Enterprise Server 12-SP5
______________________________________________________________________________

An update that fixes one vulnerability, contains one
feature is now available.

Description:

This update for curl fixes the following issues:

- CVE-2021-22898: Fixed curl TELNET stack contents disclosure
(bsc#1186114).
- Allow partial chain verification [jsc#SLE-17956]
* Have intermediate certificates in the trust store be treated as
trust-anchors, in the same way as self-signed root CA certificates
are. This allows users to verify servers using the intermediate cert
only, instead of needing the whole chain.
* Set FLAG_TRUSTED_FIRST unconditionally.
* Do not check partial chains with CRL check.


Patch Instructions:

To install this SUSE Security Update use the SUSE recommended installation
methods
like YaST online_update or "zypper patch".

Alternatively you can run the command listed for your product:

- SUSE Linux Enterprise Software Development Kit 12-SP5:

zypper in -t patch SUSE-SLE-SDK-12-SP5-2021-1763=1

- SUSE Linux Enterprise Server 12-SP5:

zypper in -t patch SUSE-SLE-SERVER-12-SP5-2021-1763=1



Package List:

- SUSE Linux Enterprise Software Development Kit 12-SP5 (aarch64 ppc64le
s390x x86_64):

curl-debuginfo-7.60.0-11.18.1
curl-debugsource-7.60.0-11.18.1
libcurl-devel-7.60.0-11.18.1

- SUSE Linux Enterprise Server 12-SP5 (aarch64 ppc64le s390x x86_64):

curl-7.60.0-11.18.1
curl-debuginfo-7.60.0-11.18.1
curl-debugsource-7.60.0-11.18.1
libcurl4-7.60.0-11.18.1
libcurl4-debuginfo-7.60.0-11.18.1

- SUSE Linux Enterprise Server 12-SP5 (s390x x86_64):

libcurl4-32bit-7.60.0-11.18.1
libcurl4-debuginfo-32bit-7.60.0-11.18.1


References:

https://www.suse.com/security/cve/CVE-2021-22898.html
https://bugzilla.suse.com/1186114
Pro-Linux
Pro-Linux @Facebook
Neue Nachrichten
Werbung